LibreOffice: XSystemDependentWindowPeer Interface Reference

LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XSystemDependentWindowPeer Interface Referencepublished

provides access to the system dependent implementation of the window. More...

`import"XSystemDependentWindowPeer.idl";`

Inheritance diagram for XSystemDependentWindowPeer:

## Public Member Functions
any | getWindowHandle ([in] sequence< byte > ProcessId, [in] short SystemType)
| returns a system-specific window handle. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the system dependent implementation of the window.

See also
  com::sun::star::lang::SystemDependent
  WindowAttribute
  WindowAttribute::SYSTEMDEPENDENT

## Member Function Documentation

## ◆ getWindowHandle()

any getWindowHandle | ( | [in] sequence< byte > | ProcessId,
|  | [in] short | SystemType
| ) |  |

returns a system-specific window handle.

Returns
  a system-specific handle to a window or 0 if the window is not in the same process.

You must check the machine ID and the process ID.
WIN32: Returns an HWND if possible, otherwise 0.
WIN16: Returns an HWND if possible, otherwise 0.

JAVA: Returns a global reference to a java.awt.Component object provided from the JNI-API.

MAC: Returns a ptr to the NSView implementing the window.

XWINDOW: Returns a structure SystemDependentXWindow or void if it is not reachable.

Parameters

  ProcessId | the process identifier. Use the sal_getGlobalProcessId function of the RTL library.
  SystemType | one constant out of the constant group com::sun::star::lang::SystemDependent.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XSystemDependentWindowPeer.idl